Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: w3af_gui problem

  1. #1
    Member
    Join Date
    Feb 2010
    Posts
    50

    Default w3af_gui problem

    please how to open w3af_gui?
    when i was running the w3af_gui, the tools didn't appear, n when i was running in console, i find this command: You have to install GTK and PyGTK versions >=2.12 to be able to run the GTK user interface.
    - On Debian based distributions: apt-get install python-gtk2
    - On Mac: sudo port install py25-gtk
    but when i try to install python-gtk2, it always says : python-gtk2 is already the newest version.
    i am using backtrack4 r2

    tks for help

  2. #2
    Member macphail's Avatar
    Join Date
    Jun 2010
    Location
    East Coast, USA
    Posts
    164

    Default re: w3af_gui problem

    ?
    odd.
    try this:

    Code:
    cd /pentest/web/w3af
    ./w3af_gui
    what happens next? by "tools didn't appear", you mean
    Tools > Fuzzy/Encode/Export/Compare/Proxy aren't there or are grayed out?
    Last edited by macphail; 01-11-2011 at 05:21 AM.
    -----------
    ~peace
    MacPhail

  3. #3
    Administrator sickness's Avatar
    Join Date
    Jan 2010
    Location
    Behind the screen.
    Posts
    2,921

    Default Re: w3af_gui problem

    Have you tried:
    Code:
    cd pentest/web/w3af/
    svn up
    and run w3af after ?
    Back|track giving machine guns to monkeys since 2007 !

    Do not read the Wiki, most your questions will not be answered there !
    Do not take a look at the: Forum Rules !

  4. #4
    Member
    Join Date
    Feb 2010
    Posts
    50

    Default Re: w3af_gui problem

    tks for the help

    but seems it still didn't work, here the screenshot :http://i56.tinypic.com/fcusk4.png

  5. #5
    Administrator sickness's Avatar
    Join Date
    Jan 2010
    Location
    Behind the screen.
    Posts
    2,921

    Default Re: w3af_gui problem

    Pretty weird, you could also try to remove w3af and then install it again.
    Back|track giving machine guns to monkeys since 2007 !

    Do not read the Wiki, most your questions will not be answered there !
    Do not take a look at the: Forum Rules !

  6. #6
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: w3af_gui problem

    I can't reproduce this. Can anyone else?
    Op are you sure you are using BackTrack here?
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  7. #7
    Member skinnypuppy's Avatar
    Join Date
    Jan 2010
    Location
    09 F9 11 02 9D 74 E3 5B D8 41 56 C5 63 56 88 C0
    Posts
    154

    Default Re: w3af_gui problem

    @ Archangel-Amael: Op states he is using BT4 r2 in his first post so I will go at that.

    @ OP: Type and post:

    Code:
    apt-cache policy python-gtk2
    Should look similar to this:

    python-gtk2:
    Installed: 2.13.0-0ubuntu8
    Candidate: 2.13.0-0ubuntu8
    Version table:
    *** 2.13.0-0ubuntu8 0
    500 http://archive.offensive-security.com pwnsauce/main Packages
    100 /var/lib/dpkg/status

    Next:
    Code:
    which python
    Next:
    Code:
    ls -l /usr/bin/python*
    Next:
    Code:
    locate python | grep bin/
    And finally:
    Code:
    ls -l /usr/local/bin/python*
    IMHO, tracking down this problem will probably result in a waste of time because who knows what one does once they download the .iso and start modifying stuff. You will more than likely have to do a re-install but the very least I can offer is to see if you have conflicts with versions of python installed on the system.
    I may have been born with a silver spoon in my mouth but it does not mean I like to be spoon fed.

  8. #8
    Member
    Join Date
    Feb 2010
    Posts
    50

    Default Re: w3af_gui problem

    here's what i hv:
    Code:
    root@bt:~#apt-cache policy python-gtk2
    python-gtk2:
      Installed: 2.13.0-0ubuntu8
      Candidate: 2.13.0-0ubuntu8
      Version table:
     *** 2.13.0-0ubuntu8 0
            500 http://archive.offensive-security.com pwnsauce/main Packages
            100 /var/lib/dpkg/status
    root@bt:~# which python
    /usr/local/bin/python
    root@bt:~# ls -l /usr/bin/python*
    lrwxrwxrwx 1 root root       9 Dec 14 21:00 /usr/bin/python -> python2.5
    lrwxrwxrwx 1 root root      28 Dec 16 08:20 /usr/bin/python-2.6 -> /opt/python2.6/bin/python2.6
    lrwxrwxrwx 1 root root      16 Dec 14 21:00 /usr/bin/python-config -> python2.5-config
    -rwxr-xr-x 1 root root  992748 Jan 22  2010 /usr/bin/python2.4
    -rwxr-xr-x 1 root root 1181300 Oct  6  2008 /usr/bin/python2.5
    -rwxr-xr-x 1 root root    1419 Oct  6  2008 /usr/bin/python2.5-config
    root@bt:~# locate python | grep bin/
    /usr/bin/dh_python
    /usr/bin/python
    /usr/bin/python-config
    /usr/bin/python2.4
    /usr/bin/python2.5
    /usr/bin/python2.5-config
    /usr/bin/xmlproc_parse.python-xml
    /usr/bin/xmlproc_val.python-xml
    /usr/sbin/update-python-modules
    /usr/share/doc/python-twisted-bin/changelog.Debian.gz
    /usr/share/doc/python-twisted-bin/copyright
    /usr/src/linux-source-2.6.35.8/tools/perf/scripts/python/bin/failed-syscalls-by-pid-record
    /usr/src/linux-source-2.6.35.8/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
    /usr/src/linux-source-2.6.35.8/tools/perf/scripts/python/bin/sctop-record
    /usr/src/linux-source-2.6.35.8/tools/perf/scripts/python/bin/sctop-report
    /usr/src/linux-source-2.6.35.8/tools/perf/scripts/python/bin/syscall-counts-by-pid-record
    /usr/src/linux-source-2.6.35.8/tools/perf/scripts/python/bin/syscall-counts-by-pid-report
    /usr/src/linux-source-2.6.35.8/tools/perf/scripts/python/bin/syscall-counts-record
    /usr/src/linux-source-2.6.35.8/tools/perf/scripts/python/bin/syscall-counts-report
    root@bt:~# ls -l /usr/local/bin/python*
    -rwxr-xr-x 2 root root 4154918 Dec 16 11:04 /usr/local/bin/python
    lrwxrwxrwx 1 root root      16 Dec 16 11:05 /usr/local/bin/python-config -> python2.6-config
    -rwxr-xr-x 2 root root 4154918 Dec 16 11:04 /usr/local/bin/python2.6
    -rwxr-xr-x 1 root root    1424 Dec 16 11:05 /usr/local/bin/python2.6-config
    root@bt:~#

    here what i got after follow yr instruction: http://i52.tinypic.com/sena4i.png
    Last edited by sickness; 01-13-2011 at 12:46 AM. Reason: Merged posts/added CODE brackets.

  9. #9
    Administrator sickness's Avatar
    Join Date
    Jan 2010
    Location
    Behind the screen.
    Posts
    2,921

    Default Re: w3af_gui problem

    I can not reproduce this, neither can @Archangel-Amael, anyone else having this issue ? If not I suggest you try running it from a liveCD maybe it's something you installed or removed that's causing this.
    Back|track giving machine guns to monkeys since 2007 !

    Do not read the Wiki, most your questions will not be answered there !
    Do not take a look at the: Forum Rules !

  10. #10
    Moderator KMDave's Avatar
    Join Date
    Jan 2010
    Posts
    2,281

    Default Re: w3af_gui problem

    Can't reproduce either, tried it with a fresh installation, then updating everything and worked flawless.
    Tiocfaidh ár lá

Page 1 of 2 12 LastLast

Similar Threads

  1. Booting problem/Flash player problem.
    By Archaic in forum OLD BT3final Support
    Replies: 0
    Last Post: 09-15-2009, 11:37 PM
  2. Replies: 3
    Last Post: 06-17-2008, 08:08 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •